{ ... }:
{
  services.ssh-agent.enable = true;

  programs.ssh = {
    enable = true;

    matchBlocks = {
      "hpc" = {
        user = "benstem";
        hostname = "login1.hpc.uni-potsdam.de";
      };

      "lilith-lab" = {
        user = "lilith";
        hostname = "nixserver";
      };

      "lilith-server" = {
        user = "lilith";
        hostname = "firelilith.org";
      };

      "lilith-server-builder" = {
        user = "nixremote";
        hostname = "firelilith.org";
      };

      "lilith-pc-builder" = {
        user = "nixremote";
        hostname = "lilith-pc";
      };

      "lilith-pad-builder" = {
        user = "nixremote";
        hostname = "lilith-pad";
      };
    };
  };
}
